%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-pep517
Version:       0.13.0
Release:       2mamba
Summary:       Wrappers to build Python packages using PEP 517 hooks
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pypa/pyproject-hooks
Source:        https://pypi.debian.net/pep517/pep517-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pep517-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/pep517-%{version}.dist-info
%{python_sitelib}/pep517-%{version}.dist-info/*
%dir %{python_sitelib}/pep517
%{python_sitelib}/pep517/*
%doc LICENSE

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.13.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 0.13.0-1mamba
- automatic version update by autodist

* Sat May 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.0-2mamba
- rebuilt with python 3.10 subpackage

* Fri Jan 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.0-1mamba
- package created using the webbuild interface
